package common

import (
	"git.listensoft.net/tool/jspkit/common/models"
	"git.listensoft.net/tool/jspkit/common/variable"
	"github.com/tidwall/gjson"
)

func GetYearSbTables(task *models.TaxTask, tables interface{}) {
	if ok := gjson.Get(task.Data, `a000000`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A000000] = true
	}
	if ok := gjson.Get(task.Data, `a000000Gd`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A000000Gd] = true
	}
	if ok := gjson.Get(task.Data, `a100000`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A100000] = true
	}
	if ok := gjson.Get(task.Data, `a101010`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A101010] = true
	}
	if ok := gjson.Get(task.Data, `a102010`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A102010] = true
	}
	if ok := gjson.Get(task.Data, `a104000`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A104000] = true
	}
	if ok := gjson.Get(task.Data, `a105000`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A105000] = true
	}
	if ok := gjson.Get(task.Data, `a105050`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A105050] = true
	}
	if ok := gjson.Get(task.Data, `a105060`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A105060] = true
	}
	if ok := gjson.Get(task.Data, `a105080`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A105080] = true
	}
	if ok := gjson.Get(task.Data, `a106000`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A106000] = true
	}
	if ok := gjson.Get(task.Data, `a107010`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A107010] = true
	}
	if ok := gjson.Get(task.Data, `a107040`).Raw; ok != "" {
		tables.(map[variable.SbKey]bool)[variable.A107040] = true
	}
}
